git » plasma-workspace.git » commit b88bada

Plasma 5.4.3

author Antonio Rojas
2015-11-09 19:53:30 UTC
committer Antonio Rojas
2015-11-09 19:53:30 UTC
parent 46907b01559c2e44ad2d2dc18069aeaf14b40dcc

Plasma 5.4.3

PKGBUILD +4 -11
dbus-update-environment.patch +0 -54
include-env-vars-from-sourced-files.patch +0 -23

diff --git a/PKGBUILD b/PKGBUILD
index 2181ff3..c0605e4 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
 
 pkgbase=plasma-workspace
 pkgname=('plasma-workspace' 'drkonqi')
-pkgver=5.4.2
+pkgver=5.4.3
 pkgrel=2
 pkgdesc='KDE Plasma Workspace'
 arch=('i686' 'x86_64')
@@ -21,21 +21,14 @@ depends=('knewstuff' 'kjsembed' 'knotifyconfig' 'libxdamage' 'kwayland'
 makedepends=('extra-cmake-modules' 'kdoctools' 'kwin' 'gpsd' 'baloo'
              'krunner' 'kxmlrpcclient' 'networkmanager-qt')
 groups=('plasma')
-source=("http://download.kde.org/stable/plasma/${pkgver}/${pkgbase}-${pkgver}.tar.xz"
-        'kde.pam' 'dbus-update-environment.patch' 'include-env-vars-from-sourced-files.patch')
-md5sums=('a4fe835089c213c52f1407715163bf80'
-         '378ee33a9ec2870a1a899f2e05ee00d4'
-         '5ca1a098128753c12b23ee316d9ee78e'
-         '0dc67c9132d08a58e787d69f2eee2138')
+source=("http://download.kde.org/stable/plasma/${pkgver}/${pkgbase}-${pkgver}.tar.xz" 'kde.pam')
+md5sums=('18fdce9f566050c0f2e7897b2e2df660'
+         '378ee33a9ec2870a1a899f2e05ee00d4')
 
 prepare() {
   mkdir build
 
   cd ${pkgbase}-${pkgver}
-  # Include env vars from sourced files on pre-startup
-  patch -p1 -i "${srcdir}"/include-env-vars-from-sourced-files.patch
-  # sends env vars to existing dbus
-  patch -p1 -i "${srcdir}"/dbus-update-environment.patch
   # be sure to use the Qt5 version of qtpaths
   sed -i 's:qtpaths:qtpaths-qt5:' startkde/startkde.cmake
 }
diff --git a/dbus-update-environment.patch b/dbus-update-environment.patch
deleted file mode 100644
index f99c81d..0000000
--- a/dbus-update-environment.patch
+++ /dev/null
@@ -1,54 +0,0 @@
-From 195a2f24ea87d642c654ad6e06f3fede4fb66c64 Mon Sep 17 00:00:00 2001
-From: "Jan Alexander Steffens (heftig)" <jan.steffens@gmail.com>
-Date: Fri, 25 Sep 2015 19:27:29 +0200
-Subject: [PATCH] [startkde] Use dbus-update-activation-environment
-
-The difference to ksyncdbusenv is that d-u-a-e can update systemd's
-environment, too. This is only important if a userspace (dbus-daemon) bus
-is used and service files make use of SystemdService to have dbus-daemon
-tell systemd to start the service.
-
-In the kernel bus (kdbus) case, systemd's environment gets updated when
-org.freedesktop.dbus.UpdateActivationEnvironment is called.
----
- startkde/startkde.cmake              | 6 +++++-
- startkde/startplasmacompositor.cmake | 6 +++++-
- 2 files changed, 10 insertions(+), 2 deletions(-)
-
-diff --git a/startkde/startkde.cmake b/startkde/startkde.cmake
-index b034b96..f5748dc 100644
---- a/startkde/startkde.cmake
-+++ b/startkde/startkde.cmake
-@@ -343,7 +343,11 @@ if test -n "$PAM_KWALLET5_LOGIN" ; then
- fi
- 
- # At this point all environment variables are set, let's send it to the DBus session server to update the activation environment
--@CMAKE_INSTALL_FULL_LIBEXECDIR@/ksyncdbusenv
-+if which dbus-update-activation-environment >/dev/null 2>/dev/null ; then
-+    dbus-update-activation-environment --systemd --all
-+else
-+    @CMAKE_INSTALL_FULL_LIBEXECDIR@/ksyncdbusenv
-+fi
- if test $? -ne 0; then
-   # Startup error
-   echo 'startkde: Could not sync environment to dbus.'  1>&2
-diff --git a/startkde/startplasmacompositor.cmake b/startkde/startplasmacompositor.cmake
-index d8ed68e..17f5881 100644
---- a/startkde/startplasmacompositor.cmake
-+++ b/startkde/startplasmacompositor.cmake
-@@ -212,7 +212,11 @@ QT_QPA_PLATFORM=wayland
- export QT_QPA_PLATFORM
- 
- # At this point all environment variables are set, let's send it to the DBus session server to update the activation environment
--@CMAKE_INSTALL_FULL_LIBEXECDIR@/ksyncdbusenv
-+if which dbus-update-activation-environment >/dev/null 2>/dev/null ; then
-+    dbus-update-activation-environment --systemd --all
-+else
-+    @CMAKE_INSTALL_FULL_LIBEXECDIR@/ksyncdbusenv
-+fi
- if test $? -ne 0; then
-   # Startup error
-   echo 'startplasmacompositor: Could not sync environment to dbus.'  1>&2
--- 
-2.4.6
-
diff --git a/include-env-vars-from-sourced-files.patch b/include-env-vars-from-sourced-files.patch
deleted file mode 100644
index 462913f..0000000
--- a/include-env-vars-from-sourced-files.patch
+++ /dev/null
@@ -1,23 +0,0 @@
-From: Siddhartha Sahu <sh.siddhartha@gmail.com>
-Date: Tue, 06 Oct 2015 13:51:52 +0000
-Subject: Include env vars from sourced files on pre-startup
-X-Git-Url: http://quickgit.kde.org/?p=plasma-workspace.git&a=commitdiff&h=f869daca8244131f6b452e2c15b4dee5903ff768
----
-Include env vars from sourced files on pre-startup
-
-REVIEW: 125323
----
-
-
---- a/startkde/startkde.cmake
-+++ b/startkde/startkde.cmake
-@@ -206,7 +206,7 @@
- # Add /env/ to the directory to locate the scripts to be sourced
- for prefix in `echo $scriptpath`; do
-   for file in "$prefix"/env/*.sh; do
--    (test -r "$file" && . "$file") || :
-+    test -r "$file" && . "$file" || true
-   done
- done
- 
-